List the worker's nominated beneficiaries.
GET
/employers/{employer_id}/employees/{employee_id}/beneficiaries
curl \
--request GET 'https://payroll-api.getpenfold.dev/v4/employers/{employer_id}/employees/{employee_id}/beneficiaries' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
{
"id": "string",
"first_name": "string",
"last_name": "string",
"phone": "string",
"relationship": "Other",
"percentage": 42,
"address": {
"street_number": "string",
"line1": "string",
"line2": "string",
"town": "string",
"county": "string",
"postcode": "string",
"country": "string"
},
"created_at": "2026-05-04T09:42:00Z",
"updated_at": "2026-05-04T09:42:00Z"
}
]
Response examples (401)
{
"error": "Bad request: invalid data provided."
}
Response examples (404)
{
"error": "Bad request: invalid data provided."
}
Response examples (405)
{
"error": "Bad request: invalid data provided."
}